Bug 205234 - No amarok for x86_64
No amarok for x86_64
Product: Fedora
Classification: Fedora
Component: amarok (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
: 212784 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-09-05 10:35 EDT by JM
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-13 11:45:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description JM 2006-09-05 10:35:12 EDT
There is no amarok rpm in version 1.4.2 for x86_64 but there is already an
amarok-extras-nonfree rpm
which requires amarok in version 1.4.2... so a "yum update" fails because it
tries to update amarok-extras-nonfree but it can't find the amarok rpm which
belongs to the new amarok-extras-nonfree version.
Comment 1 JM 2006-10-13 10:26:48 EDT
Now amarok is completely misssing for the x86_64 architecture there is no RPM
for x86_64 available.
Comment 2 Aurelien Bompard 2006-10-13 11:04:50 EDT
Yes, Amarok is not available because there is no engine available on x86_64.
Amarok supports Helix and Xine as engines (Gstreamer is not supported anymore
until the plugin matures). Helix does not buid on x86_64, and Xine is
There is an effort to split Xine into a main xine package which would enter
Fedora and a xine-nonfree package for places where software patents are not
acknowledged.  The corresponding bug (bug 205798) is awaiting Legal review.
Comment 3 JM 2006-10-13 11:19:00 EDT
Thank you for the answer! So it's more a patent issue than a technical problem?
Comment 4 Aurelien Bompard 2006-10-13 11:45:39 EDT
It's both actually. It's a patent issue that prevents Xine from being included
in Fedora, and it's a technical issue that prevents the GStreamer plugin from
being activated in Amarok. It needs more work at the moment.
Comment 5 Aurelien Bompard 2006-10-29 02:06:02 EST
*** Bug 212784 has been marked as a duplicate of this bug. ***
Comment 6 Justin Dick 2006-10-29 06:12:18 EST
So, in previous versions of Fedora and other x86_64 distros, is it a 32-bit
version of Amarok that runs?
Comment 7 Aurelien Bompard 2006-10-29 07:50:36 EST
In previous versions of Amarok, the gstreamer engine was available, so Amarok
was available on x86_64.
For other distros, I think they already have a split xine-lib package, with
non-free bits on external repos.

Note You need to log in before you can comment on or make changes to this bug.